<?php
# ---------------------------------------------------------------------
# truc is a tool for requirement and use case tracking
# Copyright (C) 2006 ASDIS - http://sf.net/projects/truc
#
# (rth) Initial truc version based on rth
#       Copyright (C) 2005 George Holbrook - rth@lists.sourceforge.net
#
# This program is distributed under the terms and conditions of the GPL
# See the README and LICENSE files for details
#----------------------------------------------------------------------

include"./api/include_api.php";
auth_authenticate_user();

$page                   = basename(__FILE__);
$action_page			= "user_edit_account_action.php";

$s_project_properties   = session_get_project_properties();
$project_name           = $s_project_properties['project_name'];
$project_id 			= $s_project_properties['project_id'];

session_set_properties("user_edit", $_GET);
$s_properties 		= session_get_properties("user_edit");
$selected_user_id 	= $s_properties['user_id'];

$s_user_properties 	= session_get_user_properties();
$user_id 			= $s_user_properties['user_id'];

if ( empty($selected_user_id) || !user_has_rights( $project_id, $user_id, MANAGER ) ) {

	html_redirect('user_edit_my_account_page.php');
	exit;
} else {
	$selected_user_id = $selected_user_id;
}

require_once("user_edit_page.php");
?>